#ifndef ASMERROR_H
#define ASMERROR_H

#include <stdexcept>
#include <sstream>


class AsmError : public std::runtime_error {
public:
    AsmError(const char *msg);
    AsmError(int line, const char *msg);
    AsmError(const char *name, int line, const char *msg);
    AsmError(const AsmError& pe);
    ~AsmError() throw() {};
    const char* what() const throw();
private:
    std::stringstream m_message;
};


#endif
