#include "Asm6502.h"
#include "Compressor.h"


static const char *sys2061[] = {
    "	.word $080b",
    "	.word 2009",
    "	.byte $9e",
    //"	.byte \"2061\"", // FIXME: quoted string parsing doesn't work
    "	.byte $32,$30,$36,$31",
    "	.byte 0",
    "	.word 0",
    NULL
};

void Compressor::add_sys(Memory& mem) {
    Asm6502 assembler("sys2061", sys2061);
    assembler.assemble(0x0801, mem);
}
