#include "Image.h"


void ImgMCBKoala::unpack(void) {
    if (m_mem.get_lowest() != 0x6000) {
        throw ImageException("Koala load address should be $6000");
    }
    if (m_mem.get_highest() != 0x6000 + 10000) {
        throw ImageException("Koala should be 10003 bytes");
    }
    m_mem.copy(0x4000, 0x6000, 8000);
    m_mem.clear(0x4000 + 8000, 0x67ff);
    m_mem.copy(0x6000, 0x6000 + 8000, 1000);
    m_mem.copy(0x6400, 0x6000 + 9000, 1000);
    m_mem.copy(0x3fff, 0x6000 + 10000, 1);
    m_mem.set_highest(0x6400 + 999);
}
