#include "Asm6502.h"
#include "Compressor.h"


static const char *jmp_start[] = {
    "	jmp start",
    NULL
};


Memory NoneCompressor::compress(Memory& mem, addr_t start, addr_t end, addr_t jump_address) {
    Memory mem_out;
    
    mem_out.copy(start, mem, start, end - start + 1);
    Asm6502 assembler("nonecompressor", jmp_start);
    assembler.labeldict.define("start", 16, start);
    assembler.assemble(0x080d, mem_out);

    return mem_out;
}
