#ifndef DEBUG_H
#define DEBUG_H


#include <string>
#include <iostream>
#include <iomanip>

#include "Assembler.h"
#include "format.h"


std::string format_token(Assembler::Token token);
std::string format_token_list(Assembler::TokenList& tlist);
void debug_print_data(int line, addr_t addr, std::vector<int>& data);


#endif /* end of include guard: DEBUG_H */
